Relesys API Docs

v1.3

https://api.uat.relesystest.net/api/v1.3

Comments

Get Comment By Id
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.uat.relesystest.net/api/v1.3/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"6adcbb6b-0086-47f1-8772-8e4b3d1e1571","url":null,"userId":"57d98f09-76da-476e-9d74-ff1d0c6419be","userUrl":null,"parentCommentId":"10bf8690-1ab9-4b52-a335-632d321cce9e","parentCommentUrl":null,"creationDateTime":"2026-04-15T18:21:51.8237351+00:00","lastModifiedDateTime":null,"medias":[{"id":"7ed5bc83-b2f5-4124-8c01-34055f82b473","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"bb1193e1-893b-4360-9ec0-6bdc2b83ec9f","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string